package de.groygroy.java7;

import java.awt.BorderLayout;
import javax.swing.*;
import javax.swing.plaf.LayerUI;

/**
 * Diese Klasse zeigt die Nutzung der neuen JLayer Klasse in Java 7
 * @author Carsten
 */
public class Swing7 {

    public static void main(String[] args) {

        SwingUtilities.invokeLater(new Runnable() {

            @Override
            public void run() {
                createAndShowGUI();
            }
        });


    }

    /**
     * Erzeugt die Oberfläche, diese Methode muß entsprechend 
     * SWING Regeln im Event Dispatch Thread gestartet werden.
     */
    public static void createAndShowGUI() {


        try {
            UIManager.setLookAndFeel("javax.swing.plaf.nimbus.NimbusLookAndFeel");
        } catch (Exception exp) {
            System.out.println(exp);
        }

        JPanel panel = new JPanel( new BorderLayout());
        
        panel.add( new JLabel( "Name :"), BorderLayout.WEST);
        
        JTextField name = new JTextField();
        
        LayerUI<JTextField> nameUI = new EingabeLayer("Bitte Name eingeben");
        JLayer<JTextField> layer = new JLayer<>( name, nameUI);
        panel.add( layer);
        
        
        JOptionPane.showConfirmDialog(null, panel, "Linux Magazin :: Java 7",
                JOptionPane.OK_CANCEL_OPTION, JOptionPane.PLAIN_MESSAGE);



    }
}
